/*
Created by: X
http://www.createdbyx.com/

Kabombulator is licenced under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/
using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Kabombulator
{
    public abstract class BaseObject
    {
        protected internal Vector3 position;
       protected internal  Vector3 scale;
       protected internal float yaw;
       protected internal float pitch;
       protected internal float roll;
       private KabombulatorGame game;
       
        
        public KabombulatorGame Game
       {
           get { return game; }
       }
	
        public BaseObject(KabombulatorGame game)
        {
            this.game = game;
        }

        public virtual float Yaw
        {
            get { return yaw; }
            set { yaw = value; }
        }

        public virtual float Pitch
        {
            get { return pitch; }
            set { pitch = value; }
        }

        public virtual float Roll
        {
            get { return roll; }
            set { roll = value; }
        }

        public virtual Vector3 Scale
        {
            get { return scale; }
            set { scale = value; }
        }

        public virtual Vector3 Position
        {
            get { return position; }
            set { position = value; }
        }
    }
}
