/*
Created by: X
http://www.createdbyx.com/

Kabombulator is licenced under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/
using System;
using System.Collections.Generic;
using System.Text;

namespace Kabombulator
{
    public class InfoBlock
    {
        public enum InfoType
        {
            None,
            Structure,
            ReferenceStructure
        }

        private Structures.BaseStructure obj;
        private InfoType type = InfoType.None;
        private float xPos;
        private float yPos;


        public float YPosition
        {
            get { return yPos; }
            set { yPos = value; }
        }
	
        public float XPosition
        {
            get { return xPos; }
            set { xPos = value; }
        }
	
        public InfoType Type
        {
            get { return type; }
            set { type = value; }
        }               

        public InfoBlock(Structures.BaseStructure obj)  
        {
            this.obj = obj;
            this.type = InfoType.Structure;
        }

        public InfoBlock(Structures.BaseStructure obj, InfoType type)
        {
            this.obj = obj;
            this.type = type;
        }

        public Structures.BaseStructure Structure
        {
            get { return obj; }
            set { obj = value; }
        }

    }
}
